org.apache.cassandra.cache

## Interface CacheKey

- All Superinterfaces:
    IMeasurableMemory
  All Known Implementing Classes:
    CounterCacheKey, KeyCacheKey, RowCacheKey

      public interface CacheKey
      extends IMeasurableMemory

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.UUID` | `getCFId()`

    - ### Methods inherited from interface org.apache.cassandra.cache.IMeasurableMemory

      `unsharedHeapSize`

- - ### Method Detail

    - #### getCFId

          java.util.UUID getCFId()

      Returns:
        The cf id of the cache key.

Copyright © 2014 The Apache Software Foundation